package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Gct;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface GctMapper {

    int insert(Gct record);

    int insertSelective(Gct record);

    int updateByPrimaryKeySelective(Gct record);

    int updateByPrimaryKey(Gct record);

    int deleteByPrimaryKey(Gct record);

    int deleteByIds(Collection<Object> collection);

    Gct selectByPrimaryKey(Gct record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Gct> dyncRead(Map<String, Object> dyncMap);

}